var WebSocketServer = require('ws').Server;
var http = require('http');
var express = require('express');
var app = express();
var port = process.env.PORT || 5000;

app.use(express.static('public'));
app.set("views", "src");

var server = http.createServer(app);
server.listen(port);
console.log("running at localhost:" + port);

var wss = new WebSocketServer({server:server});
console.log("websocket server created");

var connections = [];

// ڑJn
wss.on('connection', function(ws) {
  console.log('websocket connection open');

  connections.push(ws);
  ws.on('message', function(json) {
    console.log('message is ' + json);
    var data = JSON.parse(json);
    wss.clients.forEach(function(client) {
      console.log('send is ' + data);
      client.send(JSON.stringify(data));
    });
  });

  // N[Y
  ws.on('close', function() {
    console.log('websocket connection close');
  });
});
